Month (Axis API)
Keywords: org.apache.axis.types.Month class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Month

    java.lang.Object
      org.apache.axis.types.Month

All Implemented Interfaces:
  java.io.Serializable

public class Month
extends java.lang.Object
implements java.io.Serializable

Implementation of the XML Schema type gMonth

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.14, Serialized Form

Constructor Summary
`Month(int month)` Constructs a Month with the given values No timezone is specified
`Month(int month, java.lang.String timezone)` Constructs a Month with the given values, including a timezone string The timezone is validated but not used.
`Month(java.lang.String source)` Construct a Month from a String in the format --MM--[timezone]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getMonth()`
`java.lang.String` | `getTimezone()`
`int` | `hashCode()` Return the value of month XORed with the hashCode of timezone iff one is defined.
`void` | `setMonth(int month)`
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setValue(int month)`
`void` | `setValue(int month, java.lang.String timezone)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Month

    public Month(int month)
          throws java.lang.NumberFormatException

  Constructs a Month with the given values No timezone is specified

### Month

    public Month(int month,
                 java.lang.String timezone)
          throws java.lang.NumberFormatException

  Constructs a Month with the given values, including a timezone string The timezone is validated but not used.

### Month

    public Month(java.lang.String source)
          throws java.lang.NumberFormatException

  Construct a Month from a String in the format --MM--[timezone]

Method Detail

### getMonth

    public int getMonth()

### setMonth

    public void setMonth(int month)

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

### setValue

    public void setValue(int month,
                         java.lang.String timezone)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setValue

    public void setValue(int month)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

  Return the value of month XORed with the hashCode of timezone iff one is defined.

  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.